AutoCad :: Retain Visual Style When Selecting Object In 3D
Nov 30, 2011
Is there a way to keep the visual style when i select a object.
Example, when i want to align 2 blocks the block i select to move get in to 3d wired ... but the blocks are so complex that i no longer can find the right align points.
so i want to keep then in "conceptional are realistic", don't know if this is possible.
View 9 Replies
ADVERTISEMENT
Feb 29, 2012
I'm trying to complete the code to select a p-line on layer G-POLY-GSF w/o asking for input. this (setq ent (ssget "X" (list (cons 8 "G-POLY-GSF"))) dosen't seem to work. What I'm I missing here?
(defun cf8 (/ ent dist obj)
(vl-load-com)
(setq ent (car (entsel "
Select line to offset: "))
;(setq ent (ssget "X" (list (cons 8 "G-POLY-GSF")))
[Code]....
View 8 Replies
View Related
Sep 25, 2008
I am having a problem with a delay in selecting an object and selecting a command.
When I select an object the pointer has at least a 3 second delay before it starts moving around normally again. It is the same with selecting a command. This has started to get tedious. It has worked fine in the past so I don't think it is a RAM/graphics card problem.
View 5 Replies
View Related
Jun 29, 2012
I am looking for a way to change the text style used by a table style with Visual LISP. So far I have been able to get the IAcadTableStyle object from the acad_tablestyle dictionary, but there is no property for text style. Is this even possible? Code and results are below.
(defun DumpTableStyles ()
(setq dict (vla-get-dictionaries (vla-get-activedocument(vlax-get-acad-object))))
(setq TableStyles (vla-item dict "acad_tablestyle"))
(vlax-for TableStyle TableStyles
(vlax-dump-object TableStyle)
)
)
[Code]....
View 3 Replies
View Related
Nov 13, 2011
Is there a way to toggle between customized old style menus and new style workspaces?
View 1 Replies
View Related
Dec 30, 2004
I'm currently working on a design and come to a point where I want to optimize my work. I have two layers both have its blend mode set to "Overlay".
The top one is at 40% opacity and the second one is at 19% opacity. My question is... How do I merge the two and yet still retain the look that I see on screen?
It perfectly fine if both Layers are identical in terms of blending mode and opacity, but when both are different I have a hard time collapsing the two together so that they look exactly what I saw before collapsing it. I've been living with this for a long time but now I need to know a solution to this.
Is it possible?
View 9 Replies
View Related
Oct 7, 2013
Is there a way to programatically set a visual style before a drawing actually opens?
We have some huge models and people seem to forget to change their visual styles back to 2D wireframe before saving and exiting drawings. Some models will crash on some workstations when trying to open in a rendered mode.
I found a lisp with a function that looked to set viewport visual styles. But it does not seem to be supported anymore. --> (vla-put-VisualStyle vport 1)
View 9 Replies
View Related
Oct 12, 2008
I have recorded an action to create a transparent image on a batch of photos. Next I ran the image processor using the File/Scripts/image processor. When running the action the error message occurs no matter how many ways I attempt to modify the action. Error: The object "Style "Shape Style"" is not currently available.
I then look in the action window to check and under the steps Make Fill Layer: Style: Shape, Style 1 appears but I can't delete it. This one error message makes it impossible for me to image process a batch of photos with a watermark on them.
View 10 Replies
View Related
May 14, 2013
I created two lines.
Before this problem appears, if I select one line then another line one-by-one, they are all selected.
But now, when I select one line then another line one-by-one, only last one is highlighted as selected (dashed line, two blue endpoints, and one blue middlepoint), the other one is not.
How do I switch back to the previous one?
View 5 Replies
View Related
Jul 2, 2012
I am trying to select End point of line for drawing rectangle and trying to select rectangle in PressPull command but i am not able to select in one side on other side i can do very nicely.
I am using AutoCAD 2012. first i draw floor plan in 2D . Then i switch to 3D Basic mode and i like to PressPull windows so i like to place and draw rectangle for PressPull but not able to do.
I am Attaching temp.dwg file.
View 9 Replies
View Related
Mar 26, 2013
What a lisp routine would look like for selecting all items on layer 5.
View 4 Replies
View Related
Aug 29, 2011
I have a rather simple 3rd party custom object... I tried to get its bounding box but the coordinates that come back don't seem to relate at all to the object.
What I'd like are the coordinates of two nodes the object contains...
Is it possible to apply the autocad cursor in some why with the node object snap to get their coordinates?
View 4 Replies
View Related
Feb 15, 2012
I am using autocad 2012 new.. i hav problem with MOVE!
i am selecting an object to move but rather than moving it alone its moving like stretch!
View 3 Replies
View Related
Jan 26, 2013
Virtually all coordinate entry as well as many other tools and operations reference the current UCS. 2D tools.
Absolute and relative coordinate entry Absolute reference angles Definition of horizontal and vertical for Ortho mode, polar tracking, object snap tracking, grid display,and grid snap Orientation of horizontal and vertical dimensions Orientation of text objects View rotation using the PLAN command
Moving or rotating the UCS can make it easier to work on particular areas of a drawing. However when selecting an object or a portion of the dwg. crossing - window , (a good exemple is stretching) the selection of the area is still 'rectangular' from the ortho of 0° or 90°. This cross-window selection should follow the direction of the ortho angle selected. Is there a command or a setting in order for this operation to take place? IF NOT for future autoCad releases or a update for current releases should be reviewed and implemented
View 9 Replies
View Related
Sep 23, 2012
I created a legend in paperspace with a white background hatch. I want to move all of the text and symbols. When I select everything at the same time, it also grabs the hatch fill underneath. I can't do a window select to grab everything and shift select to subtract out of the hatch underneath.
View 8 Replies
View Related
Nov 2, 2011
How to modify this routine so that I can select multiple objects as opposed to one at a time?
(Defun c:cd ()
(setq newdim (entsel "
Select Dimension to clear:"))
(setq newdimvalue " ")
(command "dimedit" "n" newdimvalue newdim "")
(princ)
)
View 9 Replies
View Related
Oct 25, 2012
The title says it all, Im trying to find a way to select just the vertical dimensions. Quick select doesn't work because there's no difference between a vertical and a horizontal dimension, so i was wondering if there was a LISP or something else i could do to accomplish this.
View 5 Replies
View Related
Feb 9, 2012
I am still green at lisp creation. I would like to create a lisp to change my cannoscale to match that of an existing dimension in model space. we use tabs and therefore have many different scales for the vports in our drawings. i want to be able to type my command, have acad ask for a annotative dimension to match, i click it, then the lisp resets my cannoscale to match.
View 4 Replies
View Related
Apr 22, 2013
A code that scans all through the drawing and selects the texts of the same value regardless of the layer, color, style, ...etc..
Just selecting duplicates for highlighting nothing more.
View 9 Replies
View Related
Oct 19, 2011
I wrote this small program to automate plotting a drawing to pdf. Everything work fine except I cannot figure out how to allow it to let me pick where I want the file created and what I want to call it. In this routine, the "" at the 3rd from the end place will just automatically name the file and put it in the parent folder. If I replace the "" with pause, it lets me change the name, but will not let me choose the location.
What I'm looking for is for a dialogue box to pop up (explorer style) that will let me choose a location and name the file. This is what happens if you do it "long hand" inside ACAD, how to do it in the code.
(defun C:clpdf ()
(setvar "cmdecho" 0)
(setvar "osmode" 0)
[Code]....
View 3 Replies
View Related
Nov 27, 2012
I have this code that I wrote years ago that I want to update to select two types of civil3d objects and show them selected with grips on the screen. This function works fine
(defun CELFEATURE ()
(ssget "_X" '((0 . "AECC_FEATURE_LINE")))
(setq sset (ssget "P"))
(if sset
(progn
(sssetfirst sset sset)
;(command "_.PROPERTIES")
)
)
)
(defun cF () (CELFEATURE))
but if I add the extra object like this which I assume is the wrong syntax i only get the second type of objects. Need correct syntax I should be using for selecting more than one object in an ssget statement.
(defun CELFEATURE ()
(ssget "_X" '((0 . "AECC_FEATURE_LINE","AECC_AUTO_CORRIDOR_FEATURE_LINE")))
(setq sset (ssget "P"))
(if sset
(progn
(sssetfirst sset sset)
;(command "_.PROPERTIES")
)
)
)
(defun cF () (CELFEATURE))
View 2 Replies
View Related
Jul 30, 2013
I used to have a lisp routine that would allow me to pick one dynamic block and it would select all instances including the blocks that have become anonymous.
View 5 Replies
View Related
Jun 12, 2013
Ultimately I want to delete a bunch of Layers by selecting them using a portion of their name. Is there anything in cad that allows you to specifically select layers using only a portion of the layer name?
Based on AutoCAD Layer Standards: Users label layers with a code; for example: A-ANNO-TEXT
A - Stands for the Architectural Category the layer falls into
ANNO - Stands for Annotation
TEXT - Type of Annotation
I want to use the Layer Delete (-LAYDEL) command to delete all layers that begin with A-ANNO. In the Layer Manager (-LAYER) I am able to select specific layers using a " * " placed before and/or after " A-ANNO " to include all layers with that in its name.
When I write a script however (-LAYDEL); cad will ask me for the layer name, but will not allow me to use the *A-ANNO* to include all layers with that name: A-ANNO-TEXT, A-ANNO-GLAZ, A-ANNO-WALL, etc...
Is there anything in cad that allows you to specifically select layers using only a portion of the layer name??? I have to "taylor" drawings that I receive from companies who's layers may vary.
My script is in basic (NON LISP) language:
-LAYDEL
N
A-GENM
N
A-DOOR
N
A-DOOR-FRAM
N
A-DOOR-GLAZ
N
Y
View 9 Replies
View Related
Aug 12, 2013
Is there way that by selecting objects (Lines,Pl) it construct infinite lines ?
View 3 Replies
View Related
May 24, 2013
I am just starting learning lisp, And I am looking for a fast way to select multiple objects (usually circle) and export their coordinates and ID into a excel sheet through lisp programming.
As you might see in the attached drawing, the red circles are objects wanted. I have been trying to export their coordinates as well as their IDs in grids, e.g D28, Easting: Northing: . I still haven't found a good way to export ID for each circle.
As my code doesn't work, I wonder what's the most effective way to detect errors in lisp
View 5 Replies
View Related
Apr 8, 2012
I have finished the 3d interior completed with lighting and everything. Set Visual Style to Realistic. Is it normal that the drawing would turns to only wireframe during the action of 3d Orbit and 3dwalk? Is there a way to change the setting?
View 4 Replies
View Related
Oct 25, 2011
I use the hidden visual style when I plot my MEP drawings and I keep having this issues (sometimes it's worse than others) of piping that is on a layer that is off/frozen still blocking a visible line.
It looks like there are wipeout's going over my pipes when in fact it is a pipe not shown.
View 0 Replies
View Related
Jun 19, 2012
Something I did today now causes "2D Frame" to appear near the upper edge of an active Viewport.
I can't draw a line under it, I can't do any command under it.
I hoped that VISUALSTYLESCLOSE would stop it.
It doesn't.
I've unlocked the Viewport.
I've Regenerated.
All the User Interfaces choice are unchecked.
View 3 Replies
View Related
Jun 17, 2013
If I make a3d part, turn on the sky-background and illuminationand render the part AutoCAD does something odd. It defaults to perspective view and activates sky-background andillumination every time I save, or switch from a layout tab to model space. How doI get it to default to parallel view and 2d wireframe?
View 9 Replies
View Related
Apr 5, 2011
How does one display obscured lines using different linetypes in the 2D wireframe setting under visual style settings. I need to adjust this setting to view all drawings as 2D wireframes in the viewports in all layouts for more accurate dimensioning (which I do in paperspace)?
View 0 Replies
View Related
Dec 21, 2009
I have created a new 3D visual style so hidden lines are shown but now i cant get the file to plot monochrome.
View 3 Replies
View Related